e8f5755
Index: initscript/fedora/avahi-dnsconfd.in
e8f5755
===================================================================
e8f5755
--- initscript/fedora/avahi-dnsconfd.in	(revision 1531)
e8f5755
+++ initscript/fedora/avahi-dnsconfd.in	(revision 1535)
e8f5755
@@ -1,8 +1,8 @@
e8f5755
 #! /bin/sh
e8f5755
 #
e8f5755
-# avahi-daemon:       Starts the Avahi dns configuration daemon
e8f5755
+# avahi-dnsconfd:       Starts the Avahi dns configuration daemon
e8f5755
 #
e8f5755
-# chkconfig: - 97 02
e8f5755
+# chkconfig: - 96 02
e8f5755
 # description: avahi-dnsconfd connects to a running avahi-daemon and runs  the  script \
e8f5755
 #       /etc/avahi/dnsconf.action for each unicast DNS server that is announced \
e8f5755
 #       on the local LAN. This is useful for configuring unicast DNS servers in \
e8f5755
@@ -14,18 +14,24 @@
08a4b13
 
08a4b13
 # Source function library.
08a4b13
 . /etc/init.d/functions
08a4b13
-
08a4b13
 . /etc/sysconfig/network
08a4b13
 
08a4b13
-# Check that networking is configured.
08a4b13
-[ ${NETWORKING} = "no" ] && exit 0
e8f5755
-
e8f5755
 AVAHI_BIN=@sbindir@/avahi-dnsconfd
08a4b13
-test -x $AVAHI_BIN || exit 5
e8f5755
 
08a4b13
+if [ $1 == 'status' ]; then
08a4b13
+    test -x $AVAHI_BIN || exit 4
08a4b13
+else 
08a4b13
+    test -x $AVAHI_BIN || exit 5
08a4b13
+fi
e8f5755
+
e8f5755
 LOCKFILE=/var/lock/subsys/avahi-dnsconfd
08a4b13
 
e8f5755
+base=${0##*/}
e8f5755
+
08a4b13
 start() {
08a4b13
+    # Check that networking is configured.
08a4b13
+    [ ${NETWORKING} = "no" ] && exit 1
08a4b13
+
e8f5755
 	echo -n $"Starting Avahi DNS daemon... "
e8f5755
         $AVAHI_BIN -D
e8f5755
 	RETVAL=$?
e8f5755
@@ -58,7 +64,6 @@
e8f5755
 	return $RETVAL
e8f5755
 }
e8f5755
 
e8f5755
-
e8f5755
 restart() {
e8f5755
 	stop
e8f5755
 	start
e8f5755
@@ -92,7 +97,7 @@
08a4b13
 	;;
08a4b13
   *)
08a4b13
 	echo $"Usage: $0 {start|stop|status|restart|condrestart}"
08a4b13
-	exit 1
08a4b13
+	exit 2
e8f5755
 	;;
08a4b13
 esac
08a4b13
 
e8f5755
Index: initscript/fedora/avahi-daemon.in
e8f5755
===================================================================
e8f5755
--- initscript/fedora/avahi-daemon.in	(revision 1531)
e8f5755
+++ initscript/fedora/avahi-daemon.in	(revision 1535)
e8f5755
@@ -2,7 +2,7 @@
e8f5755
 #
e8f5755
 # avahi-daemon:       Starts the Avahi Daemon
e8f5755
 #
e8f5755
-# chkconfig: 345 97 02
e8f5755
+# chkconfig: 345 96 02
e8f5755
 # description: This is a daemon which runs on client machines to perform \
e8f5755
 #              Zeroconf service discovery on a network. avahi-daemon must be \
e8f5755
 #              running on systems  that use Avahi for service discovery. \
e8f5755
@@ -14,20 +14,24 @@
08a4b13
 
08a4b13
 # Source function library.
08a4b13
 . /etc/init.d/functions
08a4b13
-
08a4b13
 . /etc/sysconfig/network
08a4b13
 
08a4b13
-# Check that networking is configured.
08a4b13
-[ ${NETWORKING} = "no" ] && exit 0
08a4b13
-
e8f5755
 AVAHI_BIN=@sbindir@/avahi-daemon
08a4b13
-test -x $AVAHI_BIN || exit 5
e8f5755
 
08a4b13
+if [ $1 == 'status' ]; then
08a4b13
+    test -x $AVAHI_BIN || exit 4
08a4b13
+else 
08a4b13
+    test -x $AVAHI_BIN || exit 5
08a4b13
+fi
e8f5755
+
e8f5755
 LOCKFILE=/var/lock/subsys/avahi-daemon
08a4b13
 
e8f5755
 base=${0##*/}
08a4b13
 
08a4b13
 start() {
08a4b13
+    # Check that networking is configured.
08a4b13
+    [ ${NETWORKING} = "no" ] && exit 1
08a4b13
+
e8f5755
 	echo -n $"Starting Avahi daemon... "
e8f5755
 	if [ -s /etc/localtime ]; then
e8f5755
 	    cp -fp /etc/localtime /etc/avahi/etc >/dev/null 2>&1
e8f5755
@@ -96,7 +100,8 @@
08a4b13
 	;;
08a4b13
   *)
08a4b13
 	echo $"Usage: $0 {start|stop|status|restart|condrestart}"
08a4b13
-	exit 1
08a4b13
+	exit 2
e8f5755
+        ;;
08a4b13
 esac
08a4b13
 
e8f5755
 exit $RETVAL